Page MenuHomePhabricator

Bug: Qunit tests should not be ignored
Closed, ResolvedPublic2 Story Points

Description

It looks like some Qunit tests are not being executed anymore as a result of changes to resource modules list introduced in https://gerrit.wikimedia.org/r/c/mediawiki/extensions/CentralNotice/+/512429 , specifically - the onResourceLoaderTestModules at CentralNoticeHooks.php:409 when searching for test files implies that module has a scripts property but with newly added packageFiles replacement this is not true anymore for ext.centralNotice.display and hence tests/qunit/subscribing/ext.centralNotice.display.tests.js and tests/qunit/subscribing/ext.centralNotice.display.chooser.tests.js are not being included into Qunit tests list, which could lead to false positive CI status.

Details

Related Gerrit Patches:
mediawiki/extensions/CentralNotice : masterFix and reorganize QUnit tests

Event Timeline

Vedmaka created this task.Jul 12 2019, 12:25 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 12 2019, 12:25 PM
DStrine set the point value for this task to 2.Jul 15 2019, 7:36 PM
AndyRussG changed the point value for this task from 2 to 1.
AndyRussG changed the point value for this task from 1 to 2.Jul 30 2019, 10:19 PM
mepps renamed this task from Some of Qunit tests are ignored to Bug: Qunit tests should not be ignored.Aug 2 2019, 2:52 PM

Change 527861 had a related patch set uploaded (by AndyRussG; owner: AndyRussG):
[mediawiki/extensions/CentralNotice@master] Fix and reorganize QUnit tests

https://gerrit.wikimedia.org/r/527861

Change 527861 merged by jenkins-bot:
[mediawiki/extensions/CentralNotice@master] Fix and reorganize QUnit tests

https://gerrit.wikimedia.org/r/527861

DStrine closed this task as Resolved.Aug 20 2019, 8:02 PM